apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demogeoreplication-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-3
    enableStorageReplication: true
    registryBackends:
    - name: azure-us
      credentialsSecretName: azure-us
      replicateByDefault: true
      azure:
        azure_container: quayus
    - name: azure-uk
      credentialsSecretName: azure-uk
      replicateByDefault: true
      azure:
        azure_container: quayuk
    enableRepoMirroring: true
    database:
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
